#ifndef __PVS_H
#define __PVS_H

#include "common.h"


namespace CHCDemoEngine
{

/** Template class representing the Potentially Visible Set (PVS) 
	mainly from a view cell, but also e.g., from objects.
*/
class Pvs
{

public:

	Pvs() {};

	void Clear() { mEntries.clear(); }

	bool Empty() const { return mEntries.empty(); }

	SceneEntity *GetEntry(int i) const { return mEntries[i]; }

	int Size() { return (int)mEntries.size(); }

	void AddEntry(SceneEntity *ent) { mEntries.push_back(ent); }


protected:

	/// hash table of PVS entries
	SceneEntityContainer mEntries; 
};

}

#endif